View Issue Details

IDProjectCategoryView StatusLast Update
0000011Bacula-Webbugpublic2013-11-19 15:06
ReporterdavideAssigned Todavide 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0.3 
Target Version5.1.0 - alphaFixed in Version5.1.0 - alpha 
Summary0000011: Wrong size of database with postgreSQL
DescriptionHi
I've downloaded this new version.

I still have problems with the calculation of the database size.
So I changed (in classes.inc) line 0000046:0000157
$dbsize = $this->link->query("select pg_database_size('$this->dbs_name')")
by
$dbsize = $this->link->query("select reltuples from pg_catalog.pg_class")

This give a size (in MB) but I could not verify if it is correct...
TagsNo tags attached.

Activities

davide

2011-07-21 23:58

manager   ~0000030

pgsql database size has been fixed in this version

davide

2013-11-19 15:06

manager   ~0000364

Issue closed

Issue History

Date Modified Username Field Change
2010-09-06 21:53 davide New Issue
2010-09-06 21:53 davide Status new => assigned
2010-09-06 21:53 davide Assigned To => davide
2011-07-21 23:57 davide Product Version => 5.0.3
2011-07-21 23:57 davide Fixed in Version => 5.1.0 - alpha
2011-07-21 23:57 davide Target Version => 5.1.0 - alpha
2011-07-21 23:58 davide Note Added: 0000030
2011-07-21 23:58 davide Status assigned => resolved
2011-07-21 23:58 davide Resolution open => fixed
2013-11-19 15:06 davide Status resolved => closed
2013-11-19 15:06 davide Note Added: 0000364